[arch-commits] Commit in yaws/repos/community-x86_64 (6 files)

Alexander Rødseth arodseth at archlinux.org
Mon Jul 29 10:41:16 UTC 2019


    Date: Monday, July 29, 2019 @ 10:41:16
  Author: arodseth
Revision: 494589

archrelease: copy trunk to community-x86_64

Added:
  yaws/repos/community-x86_64/PKGBUILD
    (from rev 494588, yaws/trunk/PKGBUILD)
  yaws/repos/community-x86_64/yaws.install
    (from rev 494588, yaws/trunk/yaws.install)
  yaws/repos/community-x86_64/yaws.service
    (from rev 494588, yaws/trunk/yaws.service)
Deleted:
  yaws/repos/community-x86_64/PKGBUILD
  yaws/repos/community-x86_64/yaws.install
  yaws/repos/community-x86_64/yaws.service

--------------+
 PKGBUILD     |  122 ++++++++++++++++++++++++++++-----------------------------
 yaws.install |   26 ++++++------
 yaws.service |   26 ++++++------
 3 files changed, 88 insertions(+), 86 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-29 10:41:09 UTC (rev 494588)
+++ PKGBUILD	2019-07-29 10:41:16 UTC (rev 494589)
@@ -1,60 +0,0 @@
-# $Id$
-# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
-# Contributor: Vesa Kaihlavirta <vegai at iki.fi>
-# Contributor: Patrick Smits <mail at patricksmits.net>
-
-pkgname=yaws
-pkgver=2.0.6
-pkgrel=1
-pkgdesc='Web server/framework written in Erlang'
-arch=('x86_64')
-url='http://yaws.hyber.org/'
-license=('BSD')
-depends=('erlang-nox' 'pam')
-backup=('etc/yaws/yaws.conf')
-options=('!emptydirs')
-install="$pkgname.install"
-source=("http://yaws.hyber.org/download/$pkgname-$pkgver.tar.gz"
-        "$pkgname.service")
-sha256sums=('69f96f8b9bb574b129b0f258fb8437fdfd8369d55aabc2b5a94f577dde49d00e'
-            '3628a0f6fdacc91c216cb782e3f3da638958cca6eee34a0a1e692482659109db')
-
-prepare() {
-  cd "$pkgname-$pkgver"
-
-  # python2 fix
-  sed -i 's:n/python:n/python2:' www/cgi{.yaws,-bin/foo.py}
-
-  # treat warnings as warnings
-  sed -i 's/-Werror//g' include.mk
-}
-
-build() {
-  cd "$pkgname-$pkgver"
-
-  export wwwdir=/srv/http/yaws
-  ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc
-  make
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  make DESTDIR="$pkgdir" install
-
-  install -d "$pkgdir/usr/lib/erlang/lib"
-  ln -s /usr/lib/yaws "$pkgdir/usr/lib/erlang/lib/$pkgname-$pkgver"
-  install -Dm644 "$srcdir/$pkgname.service" \
-    "$pkgdir/usr/lib/systemd/system/$pkgname.service"
-  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # path fix
-  cp -ru examples/include "$pkgdir/usr/lib/yaws-$pkgver/examples/"
-  mv "$pkgdir/srv/http/yaws/"* "$pkgdir/srv/http/www" || true
-  rmdir --ignore-fail-on-non-empty "$pkgdir/srv/http/yaws"
-  mv "$pkgdir/srv/http/www" "$pkgdir/srv/http/yaws" || true
-}
-
-# getver: raw.githubusercontent.com/klacke/yaws/master/vsn.mk
-# vim: ts=2 sw=2 et:

Copied: yaws/repos/community-x86_64/PKGBUILD (from rev 494588, yaws/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-29 10:41:16 UTC (rev 494589)
@@ -0,0 +1,62 @@
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+# Contributor: Vesa Kaihlavirta <vegai at iki.fi>
+# Contributor: Patrick Smits <mail at patricksmits.net>
+
+pkgname=yaws
+pkgver=2.0.7
+pkgrel=1
+pkgdesc='Web server for dynamic content written in Erlang'
+arch=(x86_64)
+url='http://yaws.hyber.org/'
+license=(BSD)
+depends=(erlang-nox pam)
+backup=(etc/yaws/yaws.conf)
+options=(!emptydirs)
+install=$pkgname.install
+source=("https://github.com/klacke/yaws/archive/$pkgname-$pkgver.tar.gz"
+        "$pkgname.service")
+sha256sums=('083b1b6be581fdfb66d77a151bbb2fc3897b1b0497352ff6c93c2256ef2b08f6'
+            '3628a0f6fdacc91c216cb782e3f3da638958cca6eee34a0a1e692482659109db')
+
+prepare() {
+  cd "$pkgname-$pkgname-$pkgver"
+
+  # python2 fix
+  sed -i 's:n/python:n/python2:' www/cgi{.yaws,-bin/foo.py}
+
+  # treat warnings as warnings
+  sed -i 's/-Werror//g' include.mk
+
+  # Prepare configure and make
+  autoreconf -fi
+}
+
+build() {
+  cd "$pkgname-$pkgname-$pkgver"
+
+  export wwwdir=/srv/http/yaws
+  ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "$pkgname-$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  install -d "$pkgdir/usr/lib/erlang/lib"
+  ln -s /usr/lib/yaws "$pkgdir/usr/lib/erlang/lib/$pkgname-$pkgver"
+  install -Dm644 "$srcdir/$pkgname.service" \
+    "$pkgdir/usr/lib/systemd/system/$pkgname.service"
+  install -Dm644 "$srcdir/$pkgname-$pkgname-$pkgver/LICENSE" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # path fix
+  cp -ru examples/include "$pkgdir/usr/lib/yaws-$pkgver/examples/"
+  mv "$pkgdir/srv/http/yaws/"* "$pkgdir/srv/http/www" || true
+  rmdir --ignore-fail-on-non-empty "$pkgdir/srv/http/yaws"
+  mv "$pkgdir/srv/http/www" "$pkgdir/srv/http/yaws" || true
+}
+
+# getver: raw.githubusercontent.com/klacke/yaws/master/vsn.mk
+# vim: ts=2 sw=2 et:

Deleted: yaws.install
===================================================================
--- yaws.install	2019-07-29 10:41:09 UTC (rev 494588)
+++ yaws.install	2019-07-29 10:41:16 UTC (rev 494589)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  mkdir -p /var/log/yaws
-}
-
-post_install() {
-  post_upgrade
-}
-
-post_remove() {
-  rmdir --ignore-fail-on-non-empty /var/log/yaws
-}
-
-# vim: ts=2 sw=2 et:

Copied: yaws/repos/community-x86_64/yaws.install (from rev 494588, yaws/trunk/yaws.install)
===================================================================
--- yaws.install	                        (rev 0)
+++ yaws.install	2019-07-29 10:41:16 UTC (rev 494589)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  mkdir -p /var/log/yaws
+}
+
+post_install() {
+  post_upgrade
+}
+
+post_remove() {
+  rmdir --ignore-fail-on-non-empty /var/log/yaws
+}
+
+# vim: ts=2 sw=2 et:

Deleted: yaws.service
===================================================================
--- yaws.service	2019-07-29 10:41:09 UTC (rev 494588)
+++ yaws.service	2019-07-29 10:41:16 UTC (rev 494589)
@@ -1,13 +0,0 @@
-[Unit]
-Description=Web server/framework written in Erlang
-After=syslog.target network.target
-
-[Service]
-Type=forking
-GuessMainPID=no
-ExecStart=/usr/bin/yaws --daemon --heart
-ExecReload=/usr/bin/yaws --hup
-ExecStop=/usr/bin/yaws --stop
-
-[Install]
-WantedBy=multi-user.target

Copied: yaws/repos/community-x86_64/yaws.service (from rev 494588, yaws/trunk/yaws.service)
===================================================================
--- yaws.service	                        (rev 0)
+++ yaws.service	2019-07-29 10:41:16 UTC (rev 494589)
@@ -0,0 +1,13 @@
+[Unit]
+Description=Web server/framework written in Erlang
+After=syslog.target network.target
+
+[Service]
+Type=forking
+GuessMainPID=no
+ExecStart=/usr/bin/yaws --daemon --heart
+ExecReload=/usr/bin/yaws --hup
+ExecStop=/usr/bin/yaws --stop
+
+[Install]
+WantedBy=multi-user.target


More information about the arch-commits mailing list